cdac.medinfo.sdk.hl7282.baselibs

## Class JCC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.JCC

- All Implemented Interfaces:
    IDataType

      public class JCC
      extends CompositeDataType

  JCC - Job Code/Class

  This data type specifies person's job code/class.

  Represents an HL7 JCC data type. This data type has the following attributes:

  1. Job Code (CWE)Optional
  2. Job Class (CWE)Optional
  3. Job Description Text (TX)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCC()` Default Constructor for JCC
    `JCC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for JCC class which takes two arguments and sets the value in the respective member variable.
    `JCC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for JCC class which takes five arguments and sets the value in the respective member variable.
    `JCC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for JCC class which takes six arguments and sets the value in the respective member variable.
    `JCC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for JCC class which takes four arguments and sets the value in the respective member variable.
    `JCC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for JCC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getJobClass()` Returns Job Class
    `CWE` | `getJobCode()` Returns Job Code
    `TX` | `getJobDescriptionText()` Returns Job Description Text
    `void` | `setJobClass(CWE objCWE)` Sets the JobClass.
    `void` | `setJobClass(java.lang.String strJobClass)` Sets the JobClass.
    `void` | `setJobCode(CWE objCWE)` Sets the JobCode.
    `void` | `setJobCode(java.lang.String strJobCode)` Sets the JobCode.
    `void` | `setJobDescriptionText(java.lang.String strJobDescriptionText)` Sets the JobDescriptionText.
    `void` | `setJobDescriptionText(TX objTX)` Sets the JobDescriptionText.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCC

          public JCC()

      Default Constructor for JCC

    - #### JCC

          public JCC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for JCC class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### JCC

          public JCC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for JCC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### JCC

          public JCC(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for JCC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### JCC

          public JCC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for JCC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### JCC

          public JCC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for JCC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setJobCode

          public void setJobCode(java.lang.String strJobCode)

      Sets the JobCode.
      Parameters:
        `strJobCode` - contains the persons job code.

    - #### setJobClass

          public void setJobClass(java.lang.String strJobClass)

      Sets the JobClass.
      Parameters:
        `strJobClass` - contains the persons employee classification.

    - #### setJobCode

          public void setJobCode(CWE objCWE)

      Sets the JobCode.
      Parameters:
        `objCWE` - contains the person's job code.

    - #### setJobClass

          public void setJobClass(CWE objCWE)

      Sets the JobClass.
      Parameters:
        `objCWE` - contains the person's employee classification.

    - #### setJobDescriptionText

          public void setJobDescriptionText(java.lang.String strJobDescriptionText)

      Sets the JobDescriptionText.
      Parameters:
        `strJobDescriptionText` - contains the text of the job description.

    - #### setJobDescriptionText

          public void setJobDescriptionText(TX objTX)

      Sets the JobDescriptionText.
      Parameters:
        `objTX` - contains the text of the job description.

    - #### getJobCode

          public CWE getJobCode()

      Returns Job Code
      Returns:
        CWE - data type.

    - #### getJobClass

          public CWE getJobClass()

      Returns Job Class
      Returns:
        CWE - data type.

    - #### getJobDescriptionText

          public TX getJobDescriptionText()

      Returns Job Description Text
      Returns:
        TX - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.